Subject: bug#70729: Flymake gives error when the buffer is narrowed

From: Vangelis Evangelou <[email-masked]>
Date: Fri, 3 May 2024 09:57:26 +0100

Hi all. I would like to report the following bug in the function
LaTeX-flymake

1. Enable flymake-mode
2. With the buffer below, narrow as indicated
3. Type in the narrowed buffer.

Flymake will produce an error. The issue is due to incorrect position of
the errors when the buffer is narrowed.

I don't think the buffer should be widened in the LaTeX-flymake function as
the check can be performed in the narrowed buffer. I can see that
LaTeX-flymake resembles perl-flymake. I suspect perl-flymake has similar
issues, but I haven't checked as I don't use perl.

buffer contents:

\documentclass{article}
\begin{document}
0 {
a
b
c
% <----- Start narrow
d
e
f
{
% <----- End narrow
g
h
i
j
\end{document}